package com.gh.gamecenter.core.provider

interface IAcceleratorDataHolderProvider {

    fun isPaidVip(): Boolean

    fun getGhVersionName(): String

    fun loadVipEntityFromGh(userId: String, callBack: (Any?) -> Unit)

    fun updateVipEntity(data: Any)

    fun clear()
}